Bug 985842 - RHEVM-JAVA-SDK: Host.getRebootAfterInstallation() returns False (null was expected)
RHEVM-JAVA-SDK: Host.getRebootAfterInstallation() returns False (null was exp...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk-java (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Juan Hernández
Ilia Meerovich
infra
: TestBlocker
Depends On: 1001026
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 07:17 EDT by Ilia Meerovich
Modified: 2016-07-04 20:07 EDT (History)
8 users (show)

See Also:
Fixed In Version: is14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:18:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18969 None None None Never

  None (edit)
Description Ilia Meerovich 2013-07-18 07:17:19 EDT
Build is5

Please run something like:

import java.io.IOException;

import org.apache.http.client.ClientProtocolException;
import org.ovirt.engine.sdk.Api;
import org.ovirt.engine.sdk.exceptions.ServerException;
import org.ovirt.engine.sdk.exceptions.UnsecuredConnectionAttemptError;

public class addVmdebug {
	private static final String URL = "https://vm-161-147.scl.lab.tlv.redhat.com:443/api";

	public static void main(String[] args) throws ClientProtocolException, ServerException,
            UnsecuredConnectionAttemptError, IOException {
        Api api = new Api(URL, "admin@internal", "123456", null, 443, null,
        		null, true, null, false);
        System.out.printf("Value of getRebootAfterInstallation() is %s",
        	api.getHosts().list().get(0).getRebootAfterInstallation());
    }
}

and see the output:
Value of getRebootAfterInstallation() is false
Comment 1 Michael Pasternak 2013-07-18 07:19:57 EDT
the bug is in Apache's BeanUtils package, will try to find workaround.
Comment 2 Michael Pasternak 2013-07-18 07:21:44 EDT
(In reply to Michael Pasternak from comment #1)
> the bug is in Apache's BeanUtils package, will try to find workaround.

btw it's true for any property that returns reference type not just 
getRebootAfterInstallation()
Comment 3 Michael Pasternak 2013-08-12 08:58:49 EDT
Illia,

What is the version of BeanUtils you have installed?
Comment 4 Ilia Meerovich 2013-08-12 09:03:06 EDT
apache-commons-beanutils-1.8.3-10.redhat_2.ep6.el6.noarch
Comment 5 Michael Pasternak 2013-08-12 09:30:35 EDT
(In reply to Ilia Meerovich from comment #4)
> apache-commons-beanutils-1.8.3-10.redhat_2.ep6.el6.noarch

i see that apache-commons-beanutils-1.8.3-12.redhat_3.2.ep6.el6 already 
available, can you please try reproducing this bug using it?

thanks.
Comment 6 Ilia Meerovich 2013-08-15 08:19:46 EDT
most resent version in rhn channel is:
apache-commons-beanutils-1.8.3-10.redhat_2.ep6.el6:0.noarch
Comment 9 Michael Pasternak 2013-08-25 03:41:06 EDT
(In reply to Ilia Meerovich from comment #6)
> most resent version in rhn channel is:
> apache-commons-beanutils-1.8.3-10.redhat_2.ep6.el6:0.noarch

i know, but we can promote 1.8.3-12 if it works for you (this why i've asked to check)
Comment 15 Ilia Meerovich 2013-09-12 03:57:20 EDT
Host.getRebootAfterInstallation() returns null in is14.
Comment 17 Itamar Heim 2014-01-21 17:18:03 EST
Closing - RHEV 3.3 Released
Comment 18 Itamar Heim 2014-01-21 17:24:29 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.